<?php
/**
 * 五十九秒网络购物cms 
 * ============================================================================
 * 版权所有 2009-2012 五十九秒网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.59miao.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * $Author: longzhang
 * 
*/
if (!defined('IN_59MIAO'))
{
	exit('Access Defined');
}
class MallModel extends Model {
	private $_apiaction='';
	private $_sellercate='';
	private $_selllist='';
	public function __construct() {
		parent::__construct();	
		$this->_apiaction=new ApiModel();	
		
		
		//
		$this->_sellercate=new SellercateModel();
		$this->_selllist=new SellerlistModel();
		
	}	
	public function GetShopCats(){
		return $this->_apiaction->GetShopCats();
	}
	public function GetAllShopCats(){
		return $this->_apiaction->GetAllShopCats();
	}
	
	
	public function GetAllSeller(){
		return $this->_selllist->GetSeller();
	}
	public function GetAllCat(){
		return $this->_sellercate->findAllNoLimit();
	}
}
?>